package com.muyu.engine.basic;

import com.muyu.common.domain.DataValue;
import com.muyu.engine.basic.handler.DataEngineHandler;

/**
 * @Author：蓬叁
 * @Package：com.muyu.engine.basic
 * @Project：cloud-rule
 * @name：BasicEngin
 * @Date：2024/8/29 下午3:13
 * @Description: 规则引擎基准
 */
public interface BasicEngine<V> {

    public void set(V dataValue);

    //获取原始值
    public V get();

    public default void remove(){
        DataEngineHandler.remove();
    }

    public void execution();
}
